﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TelerikCalendarTest
{
    public partial class SpecialDaysCalendar : UserControl
    {
        public enum TemplateTypes
        {
            Normal,
            Obvious,
            Wizard
        }

        public SpecialDaysCalendar()
        {
            InitializeComponent();
        }

        public void SetTemplateType(TemplateTypes Type)
        {
            switch (Type)
            {
                case TemplateTypes.Obvious:
                    uxCalendar.SetValue(RadCalendarBehavior.SpecialDayTemplateProperty, this.Resources["SpecialDayTemplateObvious"]);
                    break;
                case TemplateTypes.Wizard:
                    uxCalendar.SetValue(RadCalendarBehavior.SpecialDayTemplateProperty, this.Resources["SpecialDayTemplateWizard"]);
                    break;
                default:
                    break;
            }
        }

        public void SetSpecialDays(List<DateTime> SpecialDays)
        {
            uxCalendar.SetValue(RadCalendarBehavior.SpecialDaysProperty, SpecialDays);
        }
    }
}

