﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TelerikCalendarTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            uxSpecialDaysCalendar.uxCalendar.IsTodayHighlighted = false;
            uxSpecialDaysCalendar.uxCalendar.SelectionMode = Telerik.Windows.Controls.SelectionMode.Single;
            uxSpecialDaysCalendar.SetTemplateType(SpecialDaysCalendar.TemplateTypes.Obvious);
            Loaded += MainPage_Loaded;
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<DateTime> specialDays = new List<DateTime>();
            specialDays.Add(new DateTime(2014, 4, 23));
            specialDays.Add(new DateTime(2014, 4, 24));
            specialDays.Add(new DateTime(2014, 4, 25));
            specialDays.Add(new DateTime(2014, 4, 26));
            specialDays.Add(new DateTime(2014, 4, 27));
            specialDays.Add(new DateTime(2014, 4, 28));
            uxSpecialDaysCalendar.SetSpecialDays(specialDays);
            uxSpecialDaysCalendar.uxCalendar.SelectedDate = new DateTime(2014, 4, 28);
        }
    }
}
